/**
 * Marlin 3D Printer Firmware
 * Copyright (C) 2016 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * Make your own bitmap to show at boot time!
 * This one was made using The Gimp and...
 *  - http://marlinfw.org/tools/u8glib/converter.html
 */
#include <avr/pgmspace.h>

#define CUSTOM_BOOTSCREEN_TIMEOUT   2500
#define CUSTOM_BOOTSCREEN_BMPWIDTH  54
#define CUSTOM_BOOTSCREEN_BMPHEIGHT 64

const unsigned char custom_start_bmp[] PROGMEM = {
  0x00, 0x00, 0x00, 0x01, 0xE0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00,
  0x00, 0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x0F, 0xF0,
  0x00, 0x00, 0xFF, 0xFF, 0xFD, 0xFF, 0xF8,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8,
  0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0,
  0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00,
  0x7F, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x7F, 0xFC, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x1F, 0x80, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFE, 0x3F, 0xF8,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0,
  0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xC0,
  0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00,
  0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xE0, 0x00,
  0x00, 0x00, 0x07, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00
};
